\name{stamNet-class}
\docType{class}
\alias{stamNet-class}
\alias{initialize,stamNet-method}
\alias{print,stamNet-method}
\alias{writeHTML,stamNet-method}

\title{Classifier Net for StAM}
\description{
  Objects of this class describe a network of classifiers as it is used by structured 
  analysis of microarray data.
}
\section{Objects from the Class}{
  Objects can be created by calls of the form \code{new("stamNet", chip, root, probes)},
  or by a call to \code{stam.net}.
  \describe{
    \item{\code{chip}}{the name of the chip for which the classifier net is generated.}
    \item{\code{root}}{the GO identifier of the node where the generation of the 
      classifier net is started.}
    \item{\code{probes}}{a character vector holding the identifiers of the probesets in 
      the order as they occur in the expression matrix}
  }
}
\section{Slots}{
  \describe{
    \item{\code{chip}:}{Object of class \code{"character"}, the name of the chip for 
      which the classifier net is generated.}
    \item{\code{root}:}{Object of class \code{"character"}, the GO identifier of the 
      node where the generation of the       classifier net is started.}
    \item{\code{chippkg}:}{Object of class \code{"character"}, information on the 
      version of the meta data package for the chip}
    \item{\code{GOpkg}:}{Object of class \code{"character"}, information on the version 
      of the meata data package on the Gene Ontology}
    \item{\code{nodes}:}{Object of class \code{"list"}, elements are of class 
      \code{stamINode} or \code{stamLeaf}, one for each node in the classifier net.}
    \item{\code{leafs}:}{Object of class \code{"numeric"}, indices of all leaf nodes in 
      slot \code{nodes}}
    \item{\code{inodes}:}{Object of class \code{"numeric"}, indices of all inner nodes in
      slot \code{nodes}}
    \item{\code{probes}:}{Object of class \code{"environment"}, the corresponding index 
      for each probeset in the expression matrices to be analyzed}
  }
}
\section{Methods}{
  \describe{
    \item{print}{\code{signature(x = "stamNet")}: print information on the classifier
      net}
    \item{writeHTML}{\code{signature(x = "stamNet")}: generate HTML information on the 
      classifier net. However, using \code{stam.writeHTML} is recommended.}
  }
}
\author{Claudio Lottaz}
\seealso{\code{\link{stam.net}}, \code{\link{stamLeaf-class}}, 
  \code{\link{stamINode-class}}}
\keyword{classes}
